Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83436 - KUser does not set correct passwords.
Summary: KUser does not set correct passwords.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
: 83437 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-04 07:41 UTC by Joshua Schmidlkofer
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-02 11:43:43 UTC


Attachments (Terms of Use)

Description Joshua Schmidlkofer 2003-02-04 07:41:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Load Kuser, modify a user's password, hit save.  It resets the user password to:
'!!'

diff the file from a backup:
--- /etc/shadow.prek    2003-02-03 22:44:40.000000000 -0800
+++ /etc/shadow 2003-02-03 22:46:52.000000000 -0800
@@ -37,8 +37,8 @@
 cyrus:!!:12031::::::
 jms:xxxxxxxxxxxxxxxxxx:12049:0:99999:7:::
 rigel:xxxxxxxxxxxxxxxxxx:12059:0:99999:7:::
-foo.bar:!!:12060:0:99999:7:::
+foo.bar:!!:12060:0:32767:7:::
 clamav:!!:12070:0:99999:7:::


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load kuser
2. change user password
3. hit save.
    

Actual Results:  --- /etc/shadow.prek    2003-02-03 22:44:40.000000000 -0800
+++ /etc/shadow 2003-02-03 22:46:52.000000000 -0800
@@ -37,8 +37,8 @@
 cyrus:!!:12031::::::
 jms:xxxxxxxxxxxxxxxxxx:12049:0:99999:7:::
 rigel:xxxxxxxxxxxxxxxxxx:12059:0:99999:7:::
-foo.bar:!!:12060:0:99999:7:::
+foo.bar:!!:12060:0:32767:7:::
 clamav:!!:12070:0:99999:7:::


Expected Results:  --- /etc/shadow.prek    2003-02-03 22:44:40.000000000 -0800
+++ /etc/shadow 2003-02-03 23:44:50.000000000 -0800
@@ -37,8 +37,8 @@
 cyrus:!!:12031::::::
 jms:xxxxxxxxxxxxxxxxxx:12049:0:99999:7:::
 rigel:xxxxxxxxxxxxxxxxxx:12059:0:99999:7:::
-foo.bar:!!:12060:0:99999:7:::
+foo.bar:$1$/hDD5hc6$RgYxokR4bR4RcbzT65E1C/:12087:0:32767:7:::
 clamav:!!:12070:0:99999:7:::


Additional info:

Hashes have been changed to protect the guilty.

Comment 1 Bill Nottingham 2003-02-20 04:52:17 UTC
*** Bug 83437 has been marked as a duplicate of this bug. ***

Comment 2 Ngo Than 2003-03-12 22:12:02 UTC
It's fixed in 3.0.5a-2, which will be released as erratta soon.

Comment 3 Mark J. Cox 2003-10-02 11:43:43 UTC
Was fixed on 2003-05-12 by
http://rhn.redhat.com/errata/RHSA-2003-002.html


Note You need to log in before you can comment on or make changes to this bug.